Name:          ruby-facter
Version:       4.4.3
Release:       1mamba
Summary:       A library for collecting facts about your system
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.puppet.com/
Source:        https://rubygems.org/downloads/facter-%{version}.gem
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ruby-devel >= 3.2.0
Requires:      ruby >= 3.2.0

%description
A library for collecting facts about your system.

%prep
%setup -q -c %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
gemdir="$(ruby -rrubygems -e'puts Gem.default_dir')"

gem install --no-user-install --ignore-dependencies -i "%{buildroot}$gemdir" \
  -n "%{buildroot}/usr/bin" "%{SOURCE0}"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/facter
%{_libdir}/ruby/gems/*/cache/facter-%{version}.gem
%dir %{_libdir}/ruby/gems/*/gems/facter-%{version}
%{_libdir}/ruby/gems/*/gems/facter-%{version}/*
%{_libdir}/ruby/gems/*/specifications/facter-%{version}.gemspec
%dir %{_libdir}/ruby/gems/*/doc/facter-%{version}
%{_libdir}/ruby/gems/*/doc/facter-%{version}/*

%changelog
* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 4.4.3-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 4.4.2-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Wed Apr 26 2023 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Fri Apr 07 2023 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Thu Feb 09 2023 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Mon Jan 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.14-2mamba
- rebuilt with ruby 3.2.0

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 4.2.14-1mamba
- automatic version update by autodist

* Wed Oct 12 2022 Automatic Build System <autodist@mambasoft.it> 4.2.13-1mamba
- automatic version update by autodist

* Wed Sep 14 2022 Automatic Build System <autodist@mambasoft.it> 4.2.12-1mamba
- automatic version update by autodist

* Wed Aug 03 2022 Automatic Build System <autodist@mambasoft.it> 4.2.11-1mamba
- automatic version update by autodist

* Fri May 27 2022 Automatic Build System <autodist@mambasoft.it> 4.2.10-1mamba
- automatic version update by autodist

* Wed Apr 06 2022 Automatic Build System <autodist@mambasoft.it> 4.2.9-1mamba
- automatic version update by autodist

* Wed Mar 23 2022 Automatic Build System <autodist@mambasoft.it> 4.2.8-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 4.2.7-1mamba
- automatic version update by autodist

* Tue Dec 14 2021 Automatic Build System <autodist@mambasoft.it> 4.2.6-1mamba
- automatic version update by autodist

* Thu Sep 30 2021 Automatic Build System <autodist@mambasoft.it> 4.2.5-1mamba
- automatic version update by autodist

* Fri Sep 17 2021 Automatic Build System <autodist@mambasoft.it> 4.2.4-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Wed Jun 02 2021 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 4.0.52-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 4.0.51-1mamba
- automatic version update by autodist

* Tue Jul 17 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Wed Dec 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.3-1mamba
- package created using the webbuild interface
